CREATE DATABASE db_avecpay CHARACTER SET `utf8mb4` COLLATE `utf8mb4_0900_ai_ci`;

USE db_avecpay;

CREATE TABLE `account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_type` int(11) NOT NULL,
  `owner_legal_entity` int(11) NOT NULL DEFAULT '1',
  `owner_name` varchar(100) NOT NULL,
  `owner_business_name` varchar(100) DEFAULT NULL,
  `owner_document` varchar(20) NOT NULL,
  `owner_address` varchar(100) NOT NULL,
  `owner_address_number` varchar(20) NOT NULL,
  `owner_address_complement` varchar(100) DEFAULT NULL,
  `owner_address_neighborhood` varchar(50) NOT NULL,
  `owner_address_postal_code` varchar(20) NOT NULL,
  `owner_address_city` varchar(50) NOT NULL,
  `owner_address_state` varchar(2) NOT NULL,
  `owner_home_phone` varchar(20) DEFAULT NULL,
  `owner_business_phone` varchar(20) DEFAULT NULL,
  `owner_mobile_phone` varchar(20) DEFAULT NULL,
  `owner_email` varchar(100) NOT NULL,
  `owner_birth_date` date DEFAULT NULL,
  `owner_gender` varchar(20) DEFAULT NULL,
  `responsible_name` varchar(100) DEFAULT NULL,
  `responsible_document` varchar(20) DEFAULT NULL,
  `responsible_address` varchar(100) DEFAULT NULL,
  `responsible_address_number` varchar(50) DEFAULT NULL,
  `responsible_address_complement` varchar(100) DEFAULT NULL,
  `responsible_address_neighborhood` varchar(50) DEFAULT NULL,
  `responsible_address_postal_code` varchar(20) DEFAULT NULL,
  `responsible_address_city` varchar(50) DEFAULT NULL,
  `responsible_address_state` varchar(2) DEFAULT NULL,
  `responsible_home_phone` varchar(20) DEFAULT NULL,
  `responsible_business_phone` varchar(20) DEFAULT NULL,
  `responsible_mobile_phone` varchar(20) DEFAULT NULL,
  `responsible_email` varchar(50) DEFAULT NULL,
  `responsible_birth_date` date DEFAULT NULL,
  `responsible_gender` varchar(20) DEFAULT NULL,
  `financial_operation_key_1` varchar(50) NOT NULL,
  `financial_operation_key_2` varchar(50) DEFAULT NULL,
  `parent_financial_operation_key` varchar(50) DEFAULT NULL,
  `mcc_code` varchar(20) DEFAULT NULL,
  `automatic_anticipation` tinyint(1) DEFAULT '0',
  `automatic_bank_tranference` tinyint(1) NOT NULL DEFAULT '0',
  `bank_account_type` int(11) DEFAULT NULL,
  `bank_id` int(11) DEFAULT NULL,
  `agency_number` varchar(15) DEFAULT NULL,
  `agency_digit` varchar(5) DEFAULT NULL,
  `account_number` varchar(15) DEFAULT NULL,
  `account_digit` varchar(5) DEFAULT NULL,
  `allow_split` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `ix_account_financial_operation_key_1` (`financial_operation_key_1`),
  KEY `ix_account_financial_operation_key_2` (`financial_operation_key_2`),
  KEY `ix_account_owner_document` (`owner_document`) USING BTREE,
  KEY `active` (`active`)
) ENGINE=InnoDB AUTO_INCREMENT=10478 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `account_movement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `movement_id` int(11) NOT NULL,
  `movement_type` int(11) NOT NULL,
  `transaction_reference` int(11) NOT NULL,
  `movement_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `referenced_at` timestamp NOT NULL,
  `channel_identifier` varchar(50) DEFAULT NULL,
  `channel_name` varchar(100) DEFAULT NULL,
  `transaction_channel_group_id` int(11) NOT NULL,
  `transaction_channel_group_name` varchar(100) DEFAULT NULL,
  `provision_debit` tinyint(1) NOT NULL,
  `channel_id` int(11) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `archived` tinyint(1) NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_account_movement_account_id` (`account_id`),
  CONSTRAINT `fk_account_movement_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `account_movement_balance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `balance_date` date NOT NULL,
  `prior_balance` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `entry_total_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `out_total_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `day_balance_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `current_balance_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `balance_updated` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_account_movement_balance_account_id` (`account_id`),
  KEY `ix_account_movement_balance_balance_date` (`balance_date`),
  CONSTRAINT `fk_account_movement_balance_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `anticipation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `credit_date` date NOT NULL,
  `full_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `anticipation_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `anticipation_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `total_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `anticipation_status` int(11) NOT NULL DEFAULT '1',
  `zoop_response_anticipation_id` varchar(50) DEFAULT NULL,
  `zoop_prepayment_date` date DEFAULT NULL,
  `zoop_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `zoop_partner_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_anticipation_account_id` (`account_id`),
  CONSTRAINT `fk_anticipation_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `avecpay_parameter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_avecpay_parameter_company_id` (`company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `card_token` varchar(50) NOT NULL,
  `card_status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_card_account_id` (`account_id`),
  CONSTRAINT `fk_card_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `flag_card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `provider_name` varchar(255) DEFAULT NULL,
  `updated_at` timestamp NOT NULL,
  `created_at` timestamp NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `fee` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `flag_card_id` int(11) NOT NULL COMMENT '1 - Default\n2 - Elo',
  `payment_type` int(11) NOT NULL COMMENT '1 - Débito,\n2 - Crédito,\n3 - Boleto,\n4 - Conta Bancaria,\n5 - Antecipação',
  `account_id` int(11) NOT NULL,
  `installment_number` int(11) NOT NULL,
  `fee_value` decimal(18,6) NOT NULL,
  `updated_at` timestamp NOT NULL,
  `created_at` timestamp NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ix_fee_account_id` (`account_id`),
  KEY `ix_fee_search` (`flag_card_id`,`payment_type`,`account_id`,`installment_number`),
  CONSTRAINT `fk_fee_flag_card_id` FOREIGN KEY (`flag_card_id`) REFERENCES `flag_card` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=789699 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `migrations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timestamp` bigint(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `plan` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `debit_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `credit_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `installment_credit_fee_1` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `installment_credit_fee_2` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `anticipation_fee` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `prepaid_card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `prepaid_card_status` int(11) NOT NULL,
  `external_code` varchar(50) DEFAULT NULL,
  `virtual_card` tinyint(1) NOT NULL DEFAULT '0',
  `holder_name` varchar(100) DEFAULT NULL,
  `holder_document` varchar(20) DEFAULT NULL,
  `holder_email` varchar(50) DEFAULT NULL,
  `holder_mobile_phone` varchar(20) DEFAULT NULL,
  `holder_home_phone` varchar(20) DEFAULT NULL,
  `holder_birth_date` date NOT NULL,
  `holder_gender` varchar(20) DEFAULT NULL,
  `holder_address` varchar(50) DEFAULT NULL,
  `holder_address_number` varchar(20) DEFAULT NULL,
  `holder_complement` varchar(50) DEFAULT NULL,
  `holder_postal_code` varchar(20) DEFAULT NULL,
  `holder_neiborhood` varchar(50) DEFAULT NULL,
  `holder_city` varchar(50) DEFAULT NULL,
  `holder_state` varchar(50) DEFAULT NULL,
  `delivery_recipient_name` varchar(100) DEFAULT NULL,
  `delivery_recipient_address` varchar(50) DEFAULT NULL,
  `delivery_recipient_address_number` varchar(20) DEFAULT NULL,
  `delivery_recipient_complement` varchar(50) DEFAULT NULL,
  `delivery_recipient_neiborhood` varchar(50) DEFAULT NULL,
  `delivery_recipient_postal_code` varchar(20) DEFAULT NULL,
  `delivery_recipient_city` varchar(50) DEFAULT NULL,
  `delivery_recipient_state` varchar(50) DEFAULT NULL,
  `embossing_plastic_holder` varchar(100) DEFAULT NULL,
  `embossing_plastic_message` varchar(100) DEFAULT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_prepaid_card_account_id` (`account_id`),
  KEY `ix_prepaid_card_holder_document` (`holder_document`),
  CONSTRAINT `fk_prepaid_card_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `recurring_plan` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `recurring_plan_id` varchar(50) NOT NULL,
  `frequency` int(11) NOT NULL DEFAULT '1',
  `interval` int(11) NOT NULL DEFAULT '1',
  `payment_method` int(11) NOT NULL DEFAULT '1',
  `recurring_plan_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `setup_amount_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `description` varchar(250) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `grace_period` int(11) NOT NULL DEFAULT '0',
  `tolerance_period` int(11) NOT NULL DEFAULT '0',
  `currency` int(11) NOT NULL DEFAULT '1',
  `duration` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_recurring_plan_account_id` (`account_id`),
  CONSTRAINT `fk_recurring_plan_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `slip_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `slip_payment_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `slip_status` int(11) NOT NULL DEFAULT '0',
  `description` varchar(255) DEFAULT NULL,
  `slip_payment_scheduled_date` date NOT NULL,
  `document` varchar(20) DEFAULT NULL,
  `digitable_line` varchar(50) DEFAULT NULL,
  `issuer_name` varchar(100) DEFAULT NULL,
  `due_date` date NOT NULL,
  `external_id` varchar(50) DEFAULT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_slip_payment_account_id` (`account_id`),
  CONSTRAINT `fk_slip_payment_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `subscription` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `subscription_id` varchar(50) NOT NULL,
  `recurring_plan_id` varchar(50) NOT NULL,
  `on_behalf_of` varchar(50) NOT NULL,
  `customer` varchar(50) NOT NULL,
  `due_date` date NOT NULL,
  `due_since_date` date DEFAULT NULL,
  `expiration_date` date DEFAULT NULL,
  `subscription_status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_subscription_account_id` (`account_id`),
  CONSTRAINT `fk_subscription_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transaction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) DEFAULT NULL,
  `transaction` varchar(50) DEFAULT NULL,
  `transaction_expected_on` timestamp NOT NULL,
  `transaction_created_at` timestamp NOT NULL,
  `transaction_updated_at` timestamp NOT NULL,
  `transaction_status` int(11) NOT NULL,
  `transaction_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `original_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `currency` varchar(3) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `payment_type` varchar(50) DEFAULT NULL,
  `transaction_number` varchar(50) DEFAULT NULL,
  `gateway_authorizer` varchar(50) DEFAULT NULL,
  `app_transaction_uid` varchar(50) DEFAULT NULL,
  `refunds` varchar(50) DEFAULT NULL,
  `rewards` varchar(50) DEFAULT NULL,
  `discounts` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `pre_authorization` varchar(50) DEFAULT NULL,
  `sales_receipt` varchar(50) DEFAULT NULL,
  `on_behalf_of` varchar(50) DEFAULT NULL,
  `customer` varchar(50) DEFAULT NULL,
  `statement_descriptor` varchar(50) DEFAULT NULL,
  `payment_method_id` varchar(50) DEFAULT NULL,
  `payment_resource` varchar(50) NOT NULL,
  `payment_description` varchar(255) DEFAULT NULL,
  `payment_card_brand` varchar(50) DEFAULT NULL,
  `payment_card_first4_digits` varchar(4) DEFAULT NULL,
  `payment_card_expiration_month` varchar(2) DEFAULT NULL,
  `payment_card_expiration_year` varchar(4) DEFAULT NULL,
  `payment_card_holder_name` varchar(100) DEFAULT NULL,
  `payment_card_active` tinyint(1) NOT NULL DEFAULT '0',
  `payment_card_valid` tinyint(1) NOT NULL DEFAULT '1',
  `payment_card_verified` tinyint(1) NOT NULL DEFAULT '0',
  `payment_card_customer` varchar(50) DEFAULT NULL,
  `payment_card_fingerprint` varchar(100) DEFAULT NULL,
  `payment_card_address` varchar(50) DEFAULT NULL,
  `point_of_sale_entry_mode` varchar(50) DEFAULT NULL,
  `point_of_sale_identification_number` varchar(50) DEFAULT NULL,
  `installment_number` int(11) NOT NULL DEFAULT '1',
  `fee_total_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `payment_authorizer_id` varchar(50) DEFAULT NULL,
  `payment_authorization_code` varchar(50) DEFAULT NULL,
  `payment_authorization_nsu` varchar(50) DEFAULT NULL,
  `external_id` varchar(50) DEFAULT NULL,
  `external_id_created_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  `reference_id` varchar(255) DEFAULT NULL,
  `invoice_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transaction_account_id` (`account_id`),
  KEY `ix_transaction_transaction` (`transaction`),
  KEY `ix_transaction_transaction_expected_on` (`transaction_expected_on`),
  CONSTRAINT `fk_transaction_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1310375 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transaction_fee` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL,
  `fee_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `prepaid` tinyint(1) NOT NULL,
  `currency` varchar(3) DEFAULT NULL,
  `fee_type_name` varchar(50) DEFAULT NULL,
  `gateway_fee` tinyint(1) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transaction_fee_transaction_id` (`transaction_id`),
  CONSTRAINT `fk_transaction_fee_transaction_id` FOREIGN KEY (`transaction_id`) REFERENCES `transaction` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2535925 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transaction_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL,
  `transaction_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `transaction_type` int(11) NOT NULL,
  `transaction_status` int(11) NOT NULL DEFAULT '1',
  `external_id` varchar(50) NOT NULL,
  `response_code` varchar(50) DEFAULT NULL,
  `response_message` varchar(50) DEFAULT NULL,
  `authorization_code` varchar(50) DEFAULT NULL,
  `authorizer_id` varchar(50) DEFAULT NULL,
  `authorization_nsu` varchar(50) DEFAULT NULL,
  `authorization_created_at` timestamp NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transaction_history_transaction_id` (`transaction_id`),
  CONSTRAINT `fk_transaction_history_transaction_id` FOREIGN KEY (`transaction_id`) REFERENCES `transaction` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2734404 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transaction_installment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL,
  `transaction_installment_id` varchar(50) DEFAULT NULL,
  `id_original_receivable` varchar(50) DEFAULT NULL,
  `resource` varchar(50) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `recipient` varchar(50) DEFAULT NULL,
  `split_rule` varchar(50) DEFAULT NULL,
  `installment_number` varchar(50) DEFAULT NULL,
  `installment_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `gross_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `anticipation_fee_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `paid_at` timestamp NULL DEFAULT NULL,
  `transaction_installment_created_at` timestamp NOT NULL,
  `transaction_created_at` timestamp NOT NULL,
  `canceled_at` datetime DEFAULT NULL,
  `expected_on` timestamp NOT NULL,
  `authorization_code` varchar(50) DEFAULT NULL,
  `prepaid` tinyint(1) NOT NULL DEFAULT '0',
  `anticipation_id` int(11) DEFAULT NULL,
  `anticipation_expected_on` timestamp NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transaction_installment_transaction_id` (`transaction_id`),
  KEY `ix_transaction_installment_expected_on` (`expected_on`),
  KEY `fk_transaction_installment_anticipation_id` (`anticipation_id`),
  CONSTRAINT `fk_transaction_installment_anticipation_id` FOREIGN KEY (`anticipation_id`) REFERENCES `anticipation` (`id`),
  CONSTRAINT `fk_transaction_installment_transaction_id` FOREIGN KEY (`transaction_id`) REFERENCES `transaction` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1581238 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transaction_split` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) NOT NULL,
  `split_id` varchar(50) DEFAULT NULL,
  `resource` varchar(50) DEFAULT NULL,
  `recipient` varchar(50) DEFAULT NULL,
  `deduct_processing_fee` tinyint(1) NOT NULL,
  `deduct_recipient_processing_fee` tinyint(1) NOT NULL,
  `transaction_split_percent` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `transaction_split_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `receivable_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `receivable_gross_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `split_created_at` timestamp NOT NULL,
  `split_updated_at` timestamp NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transaction_split_transaction_id` (`transaction_id`),
  CONSTRAINT `fk_transaction_split_transaction_id` FOREIGN KEY (`transaction_id`) REFERENCES `transaction` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=39855 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transfer_bank` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `transfer_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `transfer_type` int(11) NOT NULL,
  `transfer_scheduled_date` date NOT NULL,
  `beneficiary_name` varchar(100) NOT NULL,
  `beneficiary_document` varchar(50) NOT NULL,
  `bank_code` varchar(15) NOT NULL,
  `agency_number` varchar(15) NOT NULL,
  `agency_digit` varchar(5) DEFAULT NULL,
  `account_number` varchar(15) NOT NULL,
  `account_digit` varchar(5) DEFAULT NULL,
  `transfer_id` varchar(50) NOT NULL,
  `transfer_status` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transfer_bank_account_id` (`account_id`),
  CONSTRAINT `fk_transfer_bank_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `transfer_p2p` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `destination_account_id` int(11) NOT NULL,
  `transfer_code` varchar(50) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `transfer_value` decimal(18,6) NOT NULL DEFAULT '0.000000',
  `transfer_id` varchar(50) NOT NULL,
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_transfer_p2p_account_id` (`account_id`),
  KEY `fk_transfer_p2p_destination_account_id` (`destination_account_id`),
  CONSTRAINT `fk_transfer_p2p_account_id` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`),
  CONSTRAINT `fk_transfer_p2p_destination_account_id` FOREIGN KEY (`destination_account_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

INSERT INTO `flag_card` (`id`, `name`, `provider_name`, `updated_at`, `created_at`, `active`) VALUES
('1', 'DEFAULT', 'unknown', '2020-01-07 16:38:07', '2020-01-07 16:38:07', '1'),
('2', 'MASTERCARD', 'MasterCard', '2020-01-07 16:38:07', '2020-01-07 16:38:07', '1'),
('3', 'VISA', 'Visa', '2020-01-07 16:38:20', '2020-01-07 16:38:20', '1'),
('4', 'ELO', 'Elo', '2020-01-07 16:38:48', '2020-01-07 16:38:48', '1'),
('5', 'AMEX', 'American Express', '2020-01-07 16:38:48', '2020-01-07 16:38:48', '1'),
('6', 'HIPERCARD', 'Hipercard', '2020-01-07 16:39:01', '2020-01-07 16:39:01', '1'),
('7', 'VISA ELECTRON', 'Visa Electron', '2020-01-07 17:06:20', '2020-01-07 17:06:20', '1'),
('8', 'HIPER', 'Hiper', '2020-01-07 16:39:01', '2020-01-07 16:39:01', '1'),
('9', 'MAESTRO', 'Maestro', '2020-01-07 19:12:58', '2020-01-07 19:12:58', '1'),
('10', 'BANESCARD', 'Banescard', '2020-01-07 19:12:58', '2020-01-07 19:12:58', '1'),
('11', 'JCB', 'JCB', '2020-01-07 19:12:58', '2020-01-07 19:12:58', '1'),
('12', 'DINERS CLUB', 'Diners Club', '2020-01-07 19:12:58', '2020-01-07 19:12:58', '1');

INSERT INTO `account` (`id`, `account_type`, `owner_legal_entity`, `owner_name`, `owner_business_name`, `owner_document`, `owner_address`, `owner_address_number`, `owner_address_complement`, `owner_address_neighborhood`, `owner_address_postal_code`, `owner_address_city`, `owner_address_state`, `owner_home_phone`, `owner_business_phone`, `owner_mobile_phone`, `owner_email`, `owner_birth_date`, `owner_gender`, `responsible_name`, `responsible_document`, `responsible_address`, `responsible_address_number`, `responsible_address_complement`, `responsible_address_neighborhood`, `responsible_address_postal_code`, `responsible_address_city`, `responsible_address_state`, `responsible_home_phone`, `responsible_business_phone`, `responsible_mobile_phone`, `responsible_email`, `responsible_birth_date`, `responsible_gender`, `financial_operation_key_1`, `financial_operation_key_2`, `parent_financial_operation_key`, `mcc_code`, `automatic_anticipation`, `automatic_bank_tranference`, `bank_account_type`, `bank_id`, `agency_number`, `agency_digit`, `account_number`, `account_digit`, `allow_split`, `created_at`, `updated_at`, `active`) VALUES
('10123', '1', '2', 'SamRico Centro de Beleza', 'SamRico Centro de Beleza', '84880635391', 'Avenida Principal', 'QD 20', 'CASA 7', 'Cohajap', '65072580', 'São Luís', 'MA', '98981238885', '98981238885', '98981238885', 'alinnepcunha@hotmail.com', '1980-03-01', 'O', 'ALINE PEREIRA CUNHA ', '', 'Avenida Principal', 'QD 20', 'CASA 7', 'Cohajap', '65072580', 'São Luís', 'MA', '98981238885', '98981238885', '98981238885', 'alinnepcunha@hotmail.com', '1980-03-01', 'O', '68407331', '9f76141e42ab4eab817cc8477d1c4e74', '', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL, NULL, '1', '2019-12-17 15:22:34', '2019-12-17 15:22:34', '1');

INSERT INTO `fee` (`id`, `flag_card_id`, `payment_type`, `account_id`, `installment_number`, `fee_value`, `updated_at`, `created_at`, `active`) VALUES
('452933', '1', '5', '10123', '3', '3.900000', '2020-01-25 04:05:46', '2020-01-25 04:05:46', '1'),
('452934', '1', '3', '10123', '3', '3.900000', '2020-01-25 04:05:46', '2020-01-25 04:05:46', '1'),
('452935', '1', '8', '10123', '3', '3.900000', '2020-01-25 04:05:48', '2020-01-25 04:05:48', '1'),
('452936', '1', '9', '10123', '3', '3.900000', '2020-01-25 04:05:49', '2020-01-25 04:05:49', '1'),
('452937', '1', '10', '10123', '3', '3.900000', '2020-01-25 04:05:50', '2020-01-25 04:05:50', '1'),
('452938', '1', '11', '10123', '3', '3.900000', '2020-01-25 04:05:51', '2020-01-25 04:05:51', '1'),
('452940', '1', '5', '10123', '4', '3.900000', '2020-01-25 04:05:54', '2020-01-25 04:05:54', '1'),
('452941', '1', '3', '10123', '4', '3.900000', '2020-01-25 04:05:55', '2020-01-25 04:05:55', '1'),
('452942', '1', '8', '10123', '4', '3.900000', '2020-01-25 04:05:56', '2020-01-25 04:05:56', '1'),
('452943', '1', '9', '10123', '4', '3.900000', '2020-01-25 04:05:58', '2020-01-25 04:05:58', '1'),
('452944', '1', '10', '10123', '4', '3.900000', '2020-01-25 04:05:59', '2020-01-25 04:05:59', '1'),
('452945', '1', '11', '10123', '4', '3.900000', '2020-01-25 04:06:00', '2020-01-25 04:06:00', '1'),
('452947', '1', '5', '10123', '5', '3.900000', '2020-01-25 04:06:03', '2020-01-25 04:06:03', '1'),
('452948', '1', '3', '10123', '5', '3.900000', '2020-01-25 04:06:04', '2020-01-25 04:06:04', '1'),
('452949', '1', '8', '10123', '5', '3.900000', '2020-01-25 04:06:05', '2020-01-25 04:06:05', '1'),
('452950', '1', '9', '10123', '5', '3.900000', '2020-01-25 04:06:06', '2020-01-25 04:06:06', '1'),
('452951', '1', '10', '10123', '5', '3.900000', '2020-01-25 04:06:07', '2020-01-25 04:06:07', '1'),
('452952', '1', '11', '10123', '5', '3.900000', '2020-01-25 04:06:09', '2020-01-25 04:06:09', '1'),
('452954', '1', '5', '10123', '6', '3.900000', '2020-01-25 04:06:11', '2020-01-25 04:06:11', '1'),
('452955', '1', '3', '10123', '6', '3.900000', '2020-01-25 04:06:12', '2020-01-25 04:06:12', '1'),
('452956', '1', '8', '10123', '6', '3.900000', '2020-01-25 04:06:13', '2020-01-25 04:06:13', '1'),
('452957', '1', '9', '10123', '6', '3.900000', '2020-01-25 04:06:14', '2020-01-25 04:06:14', '1'),
('452958', '1', '10', '10123', '6', '3.900000', '2020-01-25 04:06:16', '2020-01-25 04:06:16', '1'),
('452959', '1', '11', '10123', '6', '3.900000', '2020-01-25 04:06:17', '2020-01-25 04:06:17', '1'),
('452975', '1', '5', '10123', '8', '3.900000', '2020-01-25 04:06:36', '2020-01-25 04:06:36', '1'),
('452976', '1', '3', '10123', '8', '3.900000', '2020-01-25 04:06:37', '2020-01-25 04:06:37', '1'),
('452977', '1', '8', '10123', '8', '3.900000', '2020-01-25 04:06:39', '2020-01-25 04:06:39', '1'),
('452978', '1', '9', '10123', '8', '3.900000', '2020-01-25 04:06:40', '2020-01-25 04:06:40', '1'),
('452979', '1', '10', '10123', '8', '3.900000', '2020-01-25 04:06:42', '2020-01-25 04:06:42', '1'),
('452980', '1', '11', '10123', '8', '3.900000', '2020-01-25 04:06:43', '2020-01-25 04:06:43', '1'),
('452982', '1', '5', '10123', '9', '3.900000', '2020-01-25 04:06:46', '2020-01-25 04:06:46', '1'),
('452983', '1', '3', '10123', '9', '3.900000', '2020-01-25 04:06:47', '2020-01-25 04:06:47', '1'),
('452984', '1', '8', '10123', '9', '3.900000', '2020-01-25 04:06:48', '2020-01-25 04:06:48', '1'),
('452985', '1', '9', '10123', '9', '3.900000', '2020-01-25 04:06:49', '2020-01-25 04:06:49', '1'),
('452986', '1', '10', '10123', '9', '3.900000', '2020-01-25 04:06:51', '2020-01-25 04:06:51', '1'),
('452987', '1', '11', '10123', '9', '3.900000', '2020-01-25 04:06:52', '2020-01-25 04:06:52', '1'),
('452989', '1', '5', '10123', '10', '3.900000', '2020-01-25 04:06:54', '2020-01-25 04:06:54', '1'),
('452990', '1', '3', '10123', '10', '3.900000', '2020-01-25 04:06:55', '2020-01-25 04:06:55', '1'),
('452991', '1', '8', '10123', '10', '3.900000', '2020-01-25 04:06:57', '2020-01-25 04:06:57', '1'),
('452992', '1', '9', '10123', '10', '3.900000', '2020-01-25 04:06:58', '2020-01-25 04:06:58', '1'),
('452993', '1', '10', '10123', '10', '3.900000', '2020-01-25 04:06:59', '2020-01-25 04:06:59', '1'),
('452994', '1', '11', '10123', '10', '3.900000', '2020-01-25 04:07:00', '2020-01-25 04:07:00', '1'),
('452996', '1', '5', '10123', '11', '3.900000', '2020-01-25 04:07:02', '2020-01-25 04:07:02', '1'),
('452997', '1', '3', '10123', '11', '3.900000', '2020-01-25 04:07:04', '2020-01-25 04:07:04', '1'),
('452998', '1', '8', '10123', '11', '3.900000', '2020-01-25 04:07:05', '2020-01-25 04:07:05', '1'),
('452999', '1', '9', '10123', '11', '3.900000', '2020-01-25 04:07:06', '2020-01-25 04:07:06', '1'),
('453000', '1', '10', '10123', '11', '3.900000', '2020-01-25 04:07:07', '2020-01-25 04:07:07', '1'),
('453001', '1', '11', '10123', '11', '3.900000', '2020-01-25 04:07:08', '2020-01-25 04:07:08', '1'),
('453003', '1', '5', '10123', '12', '3.900000', '2020-01-25 04:07:11', '2020-01-25 04:07:11', '1'),
('453004', '1', '3', '10123', '12', '3.900000', '2020-01-25 04:07:12', '2020-01-25 04:07:12', '1'),
('453005', '1', '8', '10123', '12', '3.900000', '2020-01-25 04:07:13', '2020-01-25 04:07:13', '1'),
('453006', '1', '9', '10123', '12', '3.900000', '2020-01-25 04:07:14', '2020-01-25 04:07:14', '1'),
('453007', '1', '10', '10123', '12', '3.900000', '2020-01-25 04:07:15', '2020-01-25 04:07:15', '1'),
('453008', '1', '11', '10123', '12', '3.900000', '2020-01-25 04:07:16', '2020-01-25 04:07:16', '1'),
('490313', '1', '4', '10123', '3', '3.900000', '2020-01-29 13:25:56', '2020-01-29 13:25:56', '1'),
('490314', '1', '4', '10123', '8', '3.900000', '2020-01-29 13:25:56', '2020-01-29 13:25:56', '1'),
('490315', '1', '5', '10123', '2', '3.900000', '2020-01-29 13:25:56', '2020-01-29 13:25:56', '1'),
('490316', '1', '4', '10123', '4', '3.900000', '2020-01-29 13:25:56', '2020-01-29 13:25:56', '1'),
('490318', '1', '3', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490320', '1', '9', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490321', '1', '5', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490322', '1', '8', '10123', '1', '3.500000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490323', '1', '4', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490324', '1', '6', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490325', '1', '8', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490326', '1', '6', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490328', '1', '9', '10123', '1', '3.500000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490330', '1', '4', '10123', '9', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490331', '1', '4', '10123', '1', '1.800000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490332', '1', '6', '10123', '1', '1.800000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490333', '1', '4', '10123', '10', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490336', '1', '3', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490337', '1', '4', '10123', '11', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490338', '1', '7', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490339', '1', '4', '10123', '12', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490340', '1', '10', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490341', '1', '9', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490344', '1', '8', '10123', '7', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490345', '1', '11', '10123', '1', '1.800000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490347', '1', '7', '10123', '2', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490348', '1', '10', '10123', '1', '3.500000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490350', '1', '8', '10123', '1', '1.800000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490351', '1', '4', '10123', '6', '3.900000', '2020-01-29 13:25:57', '2020-01-29 13:25:57', '1'),
('490352', '1', '6', '10123', '1', '3.500000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490353', '1', '11', '10123', '1', '3.500000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490354', '1', '10', '10123', '2', '3.900000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490355', '1', '3', '10123', '1', '3.500000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490356', '1', '4', '10123', '5', '3.900000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490357', '1', '4', '10123', '7', '3.900000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490359', '1', '9', '10123', '1', '1.800000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490360', '1', '11', '10123', '2', '3.900000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490361', '1', '3', '10123', '1', '1.800000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490362', '1', '4', '10123', '1', '3.500000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490363', '1', '7', '10123', '1', '3.500000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('490365', '1', '11', '10123', '7', '3.900000', '2020-01-29 13:25:58', '2020-01-29 13:25:58', '1'),
('643865', '7', '5', '10123', '1', '2.500000', '2020-02-10 19:48:32', '2020-02-10 19:48:32', '1'),
('643866', '8', '5', '10123', '1', '2.500000', '2020-02-10 19:48:33', '2020-02-10 19:48:33', '1'),
('652929', '2', '5', '10123', '1', '2.500000', '2020-02-11 03:37:18', '2020-02-11 03:37:18', '1'),
('708136', '1', '1', '10123', '1', '1.800000', '2020-02-12 19:50:19', '2020-02-12 19:50:19', '1'),
('708137', '1', '2', '10123', '1', '3.500000', '2020-02-12 19:50:19', '2020-02-12 19:50:19', '1'),
('708158', '1', '2', '10123', '2', '3.900000', '2020-02-12 19:50:21', '2020-02-12 19:50:21', '1'),
('708159', '1', '2', '10123', '3', '3.900000', '2020-02-12 19:50:21', '2020-02-12 19:50:21', '1'),
('708160', '1', '2', '10123', '4', '3.900000', '2020-02-12 19:50:21', '2020-02-12 19:50:21', '1'),
('708161', '1', '2', '10123', '5', '3.900000', '2020-02-12 19:50:21', '2020-02-12 19:50:21', '1'),
('708162', '1', '2', '10123', '6', '3.900000', '2020-02-12 19:50:21', '2020-02-12 19:50:21', '1'),
('708193', '1', '2', '10123', '7', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708194', '1', '2', '10123', '8', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708195', '1', '2', '10123', '9', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708196', '1', '2', '10123', '10', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708197', '1', '2', '10123', '11', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708198', '1', '2', '10123', '12', '3.900000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708199', '1', '5', '10123', '1', '2.500000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708200', '4', '1', '10123', '1', '1.800000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708201', '4', '2', '10123', '1', '3.500000', '2020-02-12 19:50:23', '2020-02-12 19:50:23', '1'),
('708222', '4', '2', '10123', '2', '3.900000', '2020-02-12 19:50:24', '2020-02-12 19:50:24', '1'),
('708223', '4', '2', '10123', '3', '3.900000', '2020-02-12 19:50:24', '2020-02-12 19:50:24', '1'),
('708224', '4', '2', '10123', '4', '3.900000', '2020-02-12 19:50:24', '2020-02-12 19:50:24', '1'),
('708225', '4', '2', '10123', '5', '3.900000', '2020-02-12 19:50:24', '2020-02-12 19:50:24', '1'),
('708226', '4', '2', '10123', '6', '3.900000', '2020-02-12 19:50:24', '2020-02-12 19:50:24', '1'),
('708257', '4', '2', '10123', '7', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708258', '4', '2', '10123', '8', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708259', '4', '2', '10123', '9', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708260', '4', '2', '10123', '10', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708261', '4', '2', '10123', '11', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708262', '4', '2', '10123', '12', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708263', '5', '1', '10123', '1', '1.800000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708264', '5', '2', '10123', '1', '3.500000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708265', '5', '2', '10123', '2', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708266', '5', '2', '10123', '3', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708267', '5', '2', '10123', '4', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708268', '5', '2', '10123', '5', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708269', '5', '2', '10123', '6', '3.900000', '2020-02-12 19:50:25', '2020-02-12 19:50:25', '1'),
('708270', '5', '2', '10123', '7', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708271', '5', '2', '10123', '8', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708272', '5', '2', '10123', '9', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708273', '5', '2', '10123', '10', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708274', '5', '2', '10123', '11', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708275', '5', '2', '10123', '12', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708276', '6', '1', '10123', '1', '1.800000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708277', '6', '2', '10123', '1', '3.500000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708278', '6', '2', '10123', '2', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708279', '6', '2', '10123', '3', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708280', '6', '2', '10123', '4', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708281', '6', '2', '10123', '5', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708282', '6', '2', '10123', '6', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708283', '6', '2', '10123', '7', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708284', '6', '2', '10123', '8', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708285', '6', '2', '10123', '9', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708286', '6', '2', '10123', '10', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708287', '6', '2', '10123', '11', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708288', '6', '2', '10123', '12', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708289', '2', '1', '10123', '1', '1.800000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708290', '2', '2', '10123', '1', '3.500000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708291', '2', '2', '10123', '2', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708292', '2', '2', '10123', '3', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708293', '2', '2', '10123', '4', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708294', '2', '2', '10123', '5', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708295', '2', '2', '10123', '6', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708296', '2', '2', '10123', '7', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708297', '2', '2', '10123', '8', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708298', '2', '2', '10123', '9', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708299', '2', '2', '10123', '10', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708300', '2', '2', '10123', '11', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708301', '2', '2', '10123', '12', '3.900000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708302', '3', '1', '10123', '1', '1.800000', '2020-02-12 19:50:26', '2020-02-12 19:50:26', '1'),
('708303', '3', '2', '10123', '1', '3.500000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708304', '3', '2', '10123', '2', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708305', '3', '2', '10123', '3', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708306', '3', '2', '10123', '4', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708307', '3', '2', '10123', '5', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708308', '3', '2', '10123', '6', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708309', '3', '2', '10123', '7', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708310', '3', '2', '10123', '8', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708311', '3', '2', '10123', '9', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708312', '3', '2', '10123', '10', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708313', '3', '2', '10123', '11', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708314', '3', '2', '10123', '12', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708315', '8', '1', '10123', '1', '1.800000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708316', '8', '2', '10123', '1', '3.500000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708317', '8', '2', '10123', '2', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708318', '8', '2', '10123', '3', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708319', '8', '2', '10123', '4', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708320', '8', '2', '10123', '5', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708321', '8', '2', '10123', '6', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708322', '8', '2', '10123', '7', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708323', '8', '2', '10123', '8', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708324', '8', '2', '10123', '9', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708325', '8', '2', '10123', '10', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708326', '8', '2', '10123', '11', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708327', '8', '2', '10123', '12', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708328', '9', '1', '10123', '1', '1.800000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708329', '9', '2', '10123', '1', '3.500000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708330', '9', '2', '10123', '2', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708331', '9', '2', '10123', '3', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708332', '9', '2', '10123', '4', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708333', '9', '2', '10123', '5', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708334', '9', '2', '10123', '6', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708335', '9', '2', '10123', '7', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708336', '9', '2', '10123', '8', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708337', '9', '2', '10123', '9', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708338', '9', '2', '10123', '10', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708339', '9', '2', '10123', '11', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708340', '9', '2', '10123', '12', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708341', '10', '1', '10123', '1', '1.800000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708342', '10', '2', '10123', '1', '3.500000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708343', '10', '2', '10123', '2', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708344', '10', '2', '10123', '3', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708345', '10', '2', '10123', '4', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708346', '10', '2', '10123', '5', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708347', '10', '2', '10123', '6', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708348', '10', '2', '10123', '7', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708349', '10', '2', '10123', '8', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708350', '10', '2', '10123', '9', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708351', '10', '2', '10123', '10', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708352', '10', '2', '10123', '11', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708353', '10', '2', '10123', '12', '3.900000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708354', '11', '1', '10123', '1', '1.800000', '2020-02-12 19:50:27', '2020-02-12 19:50:27', '1'),
('708355', '11', '2', '10123', '1', '3.500000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708356', '11', '2', '10123', '2', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708357', '11', '2', '10123', '3', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708358', '11', '2', '10123', '4', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708359', '11', '2', '10123', '5', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708360', '11', '2', '10123', '6', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708361', '11', '2', '10123', '7', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708362', '11', '2', '10123', '8', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708363', '11', '2', '10123', '9', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708364', '11', '2', '10123', '10', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708365', '11', '2', '10123', '11', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708366', '11', '2', '10123', '12', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708367', '7', '1', '10123', '1', '1.800000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708368', '7', '2', '10123', '1', '3.500000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708369', '7', '2', '10123', '2', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708370', '7', '2', '10123', '3', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708371', '7', '2', '10123', '4', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708372', '7', '2', '10123', '5', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708373', '7', '2', '10123', '6', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708374', '7', '2', '10123', '7', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708375', '7', '2', '10123', '8', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708376', '7', '2', '10123', '9', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708377', '7', '2', '10123', '10', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708378', '7', '2', '10123', '11', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708379', '7', '2', '10123', '12', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708380', '12', '1', '10123', '1', '1.800000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708381', '12', '2', '10123', '1', '3.500000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708382', '12', '2', '10123', '2', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708383', '12', '2', '10123', '3', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708384', '12', '2', '10123', '4', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708385', '12', '2', '10123', '5', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708386', '12', '2', '10123', '6', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708387', '12', '2', '10123', '7', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708388', '12', '2', '10123', '8', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708389', '12', '2', '10123', '9', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708390', '12', '2', '10123', '10', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708391', '12', '2', '10123', '11', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1'),
('708392', '12', '2', '10123', '12', '3.900000', '2020-02-12 19:50:28', '2020-02-12 19:50:28', '1');

